glab(1)

NAME

glab-repo-archive - Get an archive of the repository.

SYNOPSIS

glab repo archive [flags]

DESCRIPTION

Clone supports these shorthands

    •   repo

    •   namespace/repo

    •   namespace/group/repo

OPTIONS

-f, --format="zip"
    Optionally Specify format if you want a downloaded archive: {tar.gz|tar.bz2|tbz|tbz2|tb2|bz2|tar|zip}.

-s, --sha=""
    The commit SHA to download. A tag, branch reference, or SHA can be used. This defaults to the tip of the default branch if not specified

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

EXAMPLE
    glab repo archive profclems/glab
    glab repo archive  # Downloads zip file of current repository
    glab repo archive profclems/glab mydirectory  # Downloads repo zip file into mydirectory
    glab repo archive profclems/glab --format=zip   # Finds repo for current user and download in zip format

SEE ALSO

glab-repo(1)